Bug 1269056 (pecl/mongodb) - Review Request: php-pecl-mongodb - MongoDB driver for PHP
Summary: Review Request: php-pecl-mongodb - MongoDB driver for PHP
Status: CLOSED ERRATA
Alias: pecl/mongodb
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1208101 1260254 1312939
Blocks: mongodb/mongodb alcaeus/mongo-php-adapter
TreeView+ depends on / blocked
 
Reported: 2015-10-06 07:40 UTC by Remi Collet
Modified: 2016-08-04 23:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 18:54:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+


Attachments (Terms of Use)
fedora-review.txt (8.45 KB, text/plain)
2016-07-18 20:34 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-10-06 07:40:11 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/0feb47c39b772128f97a8b36699d776b1a42d7c8/php/pecl/php-pecl-mongodb/php-pecl-mongodb.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-mongodb-1.0.0-0.4.beta2.remi.src.rpm
Description: 
The purpose of this driver is to provide exceptionally thin glue between
MongoDB and PHP, implementing only fundemental and performance-critical
components necessary to build a fully-functional MongoDB driver.


Fedora Account System Username: remi

Comment 1 Remi Collet 2015-10-06 07:42:51 UTC
Notice: this packages requires:
* libbson >= 1.2.0-rc0
* mongo-c-driver >= 1.2.0-rc0

Submitted as we are now close to release of all components.

Comment 2 Remi Collet 2015-10-06 07:48:25 UTC
@Hannes : adding you in CC, as you can be interested by reviewer comment.

Comment 5 Remi Collet 2015-10-31 07:52:28 UTC
The usage for pecl ext is to provide php-<ext> to make easy installation for all ext (from php, pecl, or other sources).

In this case "php-mongodb" is the normalized name for the library (known in packagist as mongodb/mongodb)

So "yum install php-mongodb" will pull both the library and the extension).

Cleanup: https://github.com/remicollet/remirepo/commit/dcd8373ce8458b892d948e41df6519861b68dff4


Spec: https://raw.githubusercontent.com/remicollet/remirepo/dcd8373ce8458b892d948e41df6519861b68dff4/php/pecl/php-pecl-mongodb/php-pecl-mongodb.spec
Srpm: http://rpms.famillecollet.com/SRPMS/php-pecl-mongodb-1.0.0-1.remi.src.rpm

Comment 14 Shawn Iwinski 2016-07-18 20:34 UTC
Created attachment 1181283 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1269056
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 15 Shawn Iwinski 2016-07-18 20:34:46 UTC
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "zlib/libpng", "BSD (3
     clause)", "ISC", "*No copyright* Public domain", "PHP (v3.01)", "BSD".
     31 files have unknown license.

     Apache license not BSD

Comment 17 Shawn Iwinski 2016-07-19 08:53:18 UTC
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "zlib/libpng", "BSD (3
     clause)", "ISC", "*No copyright* Public domain", "PHP (v3.01)", "BSD".
     31 files have unknown license.



No blockers.

===== APPROVED =====

Comment 18 Remi Collet 2016-07-19 09:07:04 UTC
Thanks!

Request for new package open.

Comment 19 Gwyn Ciesla 2016-07-19 15:35:20 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-pecl-mongodb

Comment 20 Fedora Update System 2016-07-19 17:05:57 UTC
php-pecl-mongodb-1.1.8-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-539597afca

Comment 21 Fedora Update System 2016-07-19 17:06:05 UTC
php-pecl-mongodb-1.1.8-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b855865eef

Comment 22 Fedora Update System 2016-07-19 17:06:09 UTC
php-pecl-mongodb-1.1.8-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e331dcb6c7

Comment 23 Fedora Update System 2016-07-20 01:20:40 UTC
php-pecl-mongodb-1.1.8-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-539597afca

Comment 24 Fedora Update System 2016-07-20 01:48:56 UTC
php-pecl-mongodb-1.1.8-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e331dcb6c7

Comment 25 Fedora Update System 2016-07-20 01:52:48 UTC
php-pecl-mongodb-1.1.8-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b855865eef

Comment 26 Fedora Update System 2016-07-27 18:05:28 UTC
php-mongodb-1.0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3b672fcd2

Comment 27 Fedora Update System 2016-07-27 18:05:35 UTC
php-mongodb-1.0.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab88fadf3d

Comment 28 Fedora Update System 2016-07-27 18:05:40 UTC
php-mongodb-1.0.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-af3c2e4b88

Comment 29 Fedora Update System 2016-07-27 18:53:58 UTC
php-pecl-mongodb-1.1.8-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2016-07-27 20:51:35 UTC
php-pecl-mongodb-1.1.8-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2016-08-04 23:21:14 UTC
php-pecl-mongodb-1.1.8-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.